[SECURITY] [DLA 1846-1] unzip security update

2019-07-07T20:09:36
ID DEBIAN:DLA-1846-1:D030F
Type debian
Reporter Debian
Modified 2019-07-07T20:09:36

Description

Package : unzip Version : 6.0-16+deb8u4 CVE ID : CVE-2019-13232 Debian Bug : 931433

David Fifield discovered a way to construct non-recursive "zip bombs" that achieve a high compression ratio by overlapping files inside the zip container. However the output size increases quadratically in the input size, reaching a compression ratio of over 28 million (10 MB -> 281 TB) at the limits of the zip format which can cause a denial-of-service. Mark Adler provided a patch to detect and reject such zip files for the unzip program.

For Debian 8 "Jessie", this problem has been fixed in version 6.0-16+deb8u4.

We recommend that you upgrade your unzip packages.

Further information about Debian LTS security advisories, how to apply these updates to your system and frequently asked questions can be found at: https://wiki.debian.org/LTS